# Get Subscription Group List

## Get Subscription Group List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=getSubscriptionGroupList`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

Subscription Groups are a feature that enables customers to segment their contacts into groups. These groups can then used for a range of purposes, including email and sms marketing, restricting access to event ticket types and content pages plus more.

## Returns

An array with the following properties

| Property    | Description                         |
| ----------- | ----------------------------------- |
| id          | The subscription group identifier   |
| groupName   | The name for the group              |
| memberCount | The number of contacts in the group |
| tagColour   | The designated colour for the group |

Returns an array of subscription groups available on the account.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/contact/get-subscription-group-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
